#include <Wire.h>
#include <Adafruit_MMA8451.h>

Adafruit_MMA8451 mma = Adafruit_MMA8451();

void setup() {
  Serial.begin(115200);
  if (!mma.begin()) {
    Serial.println("Não foi possível encontrar o acelerômetro.");
    while (1);
  }
}

void loop() {
  sensors_event_t event; 
  mma.read();
  mma.getEvent(&event);
  Serial.print("X: "); Serial.print(event.acceleration.x); 
  Serial.print(" Y: "); Serial.print(event.acceleration.y); 
  Serial.print(" Z: "); Serial.print(event.acceleration.z); 
  Serial.println(" m/s^2 ");

  delay(100); 
}
